Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.capabilities
Class Style

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.capabilities.Style

    public class Style

extends Object

This class represents a style object.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Constructor Summary
`Style(String name, String title, String abstract_, Keywords[] keywords, Identifier identifier, LegendURL[] legendURLs, StyleSheetURL styleSheetURL, StyleURL styleURL)` Creates a new style object from the given parameters.

Method Summary
`String` | `getAbstract()`
`Identifier` | `getIdentifier()`
`Keywords[]` | `getKeywords()`
`LegendURL[]` | `getLegendURLs()`
`String` | `getName()`
`StyleSheetURL` | `getStyleSheetURL()`
`StyleURL` | `getStyleURL()`
`String` | `getTitle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Style

    public Style(String name,
                 String title,
                 String abstract_,
                 Keywords[] keywords,
                 Identifier identifier,
                 LegendURL[] legendURLs,
                 StyleSheetURL styleSheetURL,
                 StyleURL styleURL)

  Creates a new style object from the given parameters.

  Parameters:
    `name` -
    `title` -
    `abstract_` -
    `keywords` -
    `identifier` -
    `legendURLs` -
    `styleSheetURL` -
    `styleURL` -

Method Detail

### getAbstract

    public String getAbstract()

  Returns:
    Returns the abstract_.

### getIdentifier

    public Identifier getIdentifier()

  Returns:
    Returns the identifier.

### getKeywords

    public Keywords[] getKeywords()

  Returns:
    Returns the keywords.

### getLegendURLs

    public LegendURL[] getLegendURLs()

  Returns:
    Returns the legendURLs.

### getName

    public String getName()

  Returns:
    Returns the name.

### getStyleSheetURL

    public StyleSheetURL getStyleSheetURL()

  Returns:
    Returns the styleSheetURL.

### getStyleURL

    public StyleURL getStyleURL()

  Returns:
    Returns the styleURL.

### getTitle

    public String getTitle()

  Returns:
    Returns the title.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org